using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using HySoft.Common;
using System.Data;
using System.Web.Script.Serialization;

namespace HySoft.BaseCallCenter.Web.telmanage.ajax
{
    /// <summary>
    /// callblack 的摘要说明
    /// </summary>
    public class callblack : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/plain";
            //取得处事类型
            string action = CommonRequest.GetQueryString("action");
            switch (action)
            {
                case "getlist":
                    context.Response.Write(LoadList(context));
                    break;
                case "deletelist":
                    context.Response.Write(Delete(context));
                    break;
                case "clear":
                    break;
            }
        }
        #region 获取数据
        private string LoadList(HttpContext context)
        {
            string res = "";
            DataTable dt = new DataTable();
            try
            {
                string strpageindex = context.Request.Params["page"];
                int pageindex = 1;
                string strpagesize = context.Request.Params["pagesize"];
                int pagesize = 10;
                string strtelnum = HttpUtility.UrlDecode(CommonRequest.GetQueryString("telnum"));
                string strsettime = HttpUtility.UrlDecode(CommonRequest.GetQueryString("settime"));
                string strremovetime = HttpUtility.UrlDecode(CommonRequest.GetQueryString("removetime"));
                string sql = " ";
                if (strtelnum.Trim() != "" && strtelnum != "undefined")
                {
                    sql += " and F_TelPhone= '" + strtelnum.Trim() + "' ";
                }
                if (strsettime.Trim() != "" && strsettime != "undefined")
                {
                    sql += " and F_SetTime > '" + Convert.ToDateTime(strsettime.Trim()) + "' ";
                }
                if (strremovetime.Trim() != "" && strremovetime != "undefined")
                {
                    sql += " and F_RemoveTime < '" + Convert.ToDateTime(strremovetime.Trim()) + "' ";
                }
                if (strpageindex.Trim() != "")
                {
                    try
                    {
                        pageindex = Convert.ToInt32(strpageindex);
                    }
                    catch
                    { }
                }
                if (strpagesize.Trim() != "")
                {
                    try
                    {
                        pagesize = Convert.ToInt32(strpagesize);
                    }
                    catch
                    { }
                }
                int recordCount = 0;
                Model.PageData<Model.T_Call_Blacklist> pageModel = new Model.PageData<Model.T_Call_Blacklist>();
                dt = BLL.PagerBLL.GetListPager(
                    "T_Call_Blacklist",
                    "F_BlackId",
                    "*",
                    sql,
                    "ORDER BY F_BlackId desc",
                    pagesize,
                    pageindex,
                    true,
                    out recordCount);
                System.Collections.Generic.List<Model.T_Call_Blacklist> modelList = new BLL.T_Call_Blacklist().DataTableToList(dt);
                pageModel.Rows = modelList;
                pageModel.Total = recordCount;
                System.Runtime.Serialization.Json.DataContractJsonSerializer serializer = new System.Runtime.Serialization.Json.DataContractJsonSerializer(typeof(Model.PageData<Model.T_Call_Blacklist>));
                using (System.IO.MemoryStream stream = new System.IO.MemoryStream())
                {
                    //JSON序列化
                    serializer.WriteObject(stream, pageModel);
                    res = System.Text.Encoding.UTF8.GetString(stream.ToArray());
                }
            }
            catch (Exception err)
            {
                //res = err.ToString(); 
            }
            finally
            {
                dt.Clear();
                dt.Dispose();
            }
            return res;
        }
        #endregion

        #region 删除数据
        private string Delete(HttpContext context)
        {
            bool res = false;
            string arr = HttpUtility.UrlDecode(CommonRequest.GetQueryString("arrid"));
            if (arr.IndexOf(",") == -1)
            {
                res = new BLL.T_Call_Blacklist().Delete(Convert.ToInt32(arr));
            }
            else
            {
                res = new BLL.T_Call_Blacklist().DeleteList(arr);
            }
            return res ? "success" : "field";
        }
        #endregion
        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}